<script>
	var color = 'none';
	var pos = '1';
	var finished = false;
	var field_colors = Array('none', 'none', 'none', 'none', 'none');
	var success = false;
	var awpos = 0;
	var awpos_saved = 0;
	var awaiting;
	var backend_url = '<?= $backend_path ?>';
	
	// select the color to place
	function chooseColor(new_color) {
		color = new_color;
		$('current_color').src = '<?= $image_path ?>' + color + '.png';
	}
	
	// place the selected color
	function place(row, field) {
		if (finished) return;				
		if (row != pos) return;
		if (color == 'none') {
			showMessage('Bitte whlen Sie erst eine Farbe!');
			return;
		}
		
		field_colors[field] = color;
		$('field_'+ row + '_' + field).src = '<?= $image_path ?>' + color + '.png';
	}
	
	// hides the message-box
	function hideMessage() {
		Effect.Fade('message');				
	}

	function showMessage(message) {
		$('message').innerHTML = '<b>'+ message + '</b><br/>';
		Effect.Appear('message');
		window.setTimeout('hideMessage()', 5000);
	}
	
	// displays the solution of the current
	function displaySolution() {
		new Ajax.Updater('solution', backend_url + '&cmd=solution');
		if (success) {
			showMessage('Sie haben die richtige Lsung gefunden!');
		} else {
			showMessage('Leider haben Sie die richtige Lsung nicht gefunden!');
		}
	}
	
	// check which fields are correct
	function checkFields() {
		if (finished) {
			displaySolution();
			return;
		}				
		
		var url = backend_url + '&cmd=check';
		var all_filled = true;
		for (var i = 0; i < <?= COLUMNS ?>; i++) {
			if (field_colors[i] == 'none') all_filled = false;
			url += '&field_' + i + '=' + field_colors[i];
		}
		
		if (!all_filled) {
			showMessage('Setzen Sie bitte auf jedes leere Feld einen Stein!');
			return;
		}
		
		field_colors = Array('none', 'none', 'none', 'none', 'none');
		
		//alert(url);
		new Ajax.Request(url, {method: 'post', onSuccess: function(transport) {
				var data = transport.responseText.split('|');						
				
				if (parseInt(data[0]) == 5) {
					finished = true;
					success = true;
					displaySolution();
				}
				
				for (var i = 0; i < <?= COLUMNS ?>; i++) {
					if (data[0] > i) {
						$('sol_'+pos+'_'+i).src = '<?= $image_path ?>/small_black.png';
					} else if ((parseInt(data[0]) + parseInt(data[1])) > i) {								
						$('sol_'+pos+'_'+i).src = '<?= $image_path ?>/small_white.png';
					}
				}

				// position to calculate next
				pos++;
				if (pos == <?= MAX_ROWS + 1 ?>) {
					displaySolution();
					success = false;
					finished = true;
				}

			}
		});
		
		// set position marker
		$('pos_' + pos).style.display = 'block';
		if  ($('pos_' + (pos - 1))) {
			$('pos_' + (pos - 1)).style.display = 'none';
		}				
		
	}
	
	function newGame() {
		window.location = '<?= $new_game_path ?>';
	}
	
	function showManual() {
		Effect.Appear('anleitung');
	}
</script>
<?
/*
echo '<font size="6">L&ouml;sung:</font><br/>';
foreach ($schlaumeier_game_data['solution'] as $col_num)  {			
	echo '<img src="'. $image_path . $colors[$col_num] . '.png">&nbsp;';
}
echo '<hr/>';
*/
$name = 'SCHLAUMEIER';
?>
<table cellspacing="0" cellpadding="0" border="0" align="center" width="540">
	<tr>
		<td></td><td></td><td></td><td></td><td></td><td></td>
		<td valign="bottom" rowspan="<?= MAX_ROWS + 1 ?>">
			<div id="javascript_needed" style="border: 1px solid red; background-color: #FFBBBB; padding: 2px;">
				Sie ben&ouml;tigen JavaScript, um Schlaumeier spielen zu k&ouml;nnen!<br/>
				Aktivieren Sie es bitte!						
			</div>
			<script>
				$('javascript_needed').hide();
			</script>
			<!--<img id="waiting" src="images/waiting.gif" style="display: none">-->
			<div id="solution"></div>
			<br/>
			<font size="6">Farbe:</font>&nbsp;&nbsp;
			<img id="current_color" src="<?= $image_path ?>empty.png">
			<br/>
			<br/>
			<?
			foreach ($colors as $num => $color) {
				echo '<img src="'. $image_path . $color .'.png" onClick="chooseColor(\''. $color .'\')"> ', "\n";
				if ($num % 4 == 3) echo '<br/>';
			}
			?>
			<br/>
			<button onClick="checkFields()" style="width: 100%; height: 30px">Weiter</button><br/>
			<button onClick="newGame()" style="width: 100%; height: 30px">Neues Spiel</button><br/>
			<button onClick="showManual()" style="width: 100%; height: 30px">Anleitung</button><br/>
			<br/>
			<br/>					
			<br/>					
			<br/>					
			<br/>					
			<br/>					
		</td>
	</tr>
	<?
	for ($i = 0; $i < MAX_ROWS; $i++) {	
		echo '<tr><td align="left">', "\n";

		if (isset($name[$i])) {
			echo '<font size="7" color="'. $colors[rand(0, sizeof($colors) - 1)] .'">'. $name[$i] .'</font>&nbsp;&nbsp;&nbsp;</td><td>', "\n";
		} else {
			echo '</td><td>';
		}

		echo '<img id="pos_'. (MAX_ROWS - $i) .'" src="'. $image_path .'position.png" style="display: none;">';
		echo '</td><td>&nbsp;&nbsp;&nbsp;</td><td>', "\n";
		
		for ($j = 0; $j < COLUMNS; $j++) {
			$id = 'sol_'. (MAX_ROWS - $i) .'_'. $j;
			echo '<img id="'. $id .'" src="'. $image_path .'small_empty.png">&nbsp;';
		}				
		echo '</td><td>&nbsp;&nbsp;&nbsp;</td><td>', "\n";
		for ($j = 0; $j < COLUMNS; $j++) {
			$id = 'field_'. (MAX_ROWS - $i) .'_'. $j;
			echo '<img id="'. $id .'" src="'. $image_path .'empty.png" onClick="place(\''. (MAX_ROWS - $i) .'\', \''. $j .'\')">&nbsp;';
		}
		echo '&nbsp;&nbsp;<font size="7" style="font-weight: bold">'. (MAX_ROWS - $i) .'</font>', "\n";
		echo '</td></tr>', "\n";
	} ?>
</table>
<div id="message" style="display:none; position: fixed; left: 25%; right: 25%; bottom: 0px; height: 50px; border: 1px solid #000000; background-image: url('<?= $image_path ?>wood.png');" align="center"></div>
<div id="anleitung" style="text-align: left; font-size: 1.2em; display:none; position: absolute; left: 20%; right: 20%; top: 150px; background-image: url('<?= $image_path ?>wood_light.png'); padding: 10px;">
	<center>
		<div style="background-image: url('<?= $image_path ?>/wood.png');">
			<b>Anleitung</b>
		</div>
	</center>
	<br/>
	Ziel des Spieles ist, die unbekannte Farbkombination zu erraten.<br/>
	<br/>
	Dafr platziert man eine Farbkombination (<?= $no_doubles ? 'Farben kommen in der Lsung <u>nicht</u> doppelt vor!' : 'Farben knnen in der Lsung auch doppelt vorkommen' ?>) in der untersten freien Reihe und lsst diese bewerten.<br/>
	Links neben jeder Reihe wird nach einem Klick auf "Weiter" angegeben, wie gut man getroffen hat.<br/>
	- Jeder schwarze Pin bedeutet dabei "Ein Stein hat die passende Farbe und befindet sich an der <u>richtigen</u> Stelle".<br/>
	- Jeder weie Pin bedeuted "Ein Stein hat die passende Farbe, befindet sich aber an der <u>falschen</u> Stelle".<br/>
	Wenn nicht alle fnf Felder mit schwarzen oder weien Pins gefllt sind, hat man demnach noch nicht alle korrekten Farben gefunden.<br/>
	<br/>
	Insgesamt hat man <?= MAX_ROWS ?> Versuche auf die richtige Farbkombination zu kommen. Konnte man die richtige Kombination nicht erraten,
	wird die Lsung nach dem letzten Versuch automatisch angezeigt.<br/>
	<br/>
	Viel Spa beim Knobeln!<br/>
	<br/>
	<center>
		<button onClick="Effect.Fade('anleitung')">Anleitung ausblenden</button><br/>
	</center>
	<br/>
	<i>(c) 2008 Till Glggler</i>
	<br/>
</div>
